<bugID>345075<Summary>Focus inconsistency when closing tab opened by 'Search &lt;selected engine&gt; for &lt;selected text&gt;'</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b1) Gecko/20060714 BonEcho/2.0b1
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1b1) Gecko/20060714 BonEcho/2.0b1

1. Ensure that 'Select new tabs opened from links' is disabled.
2. Open a page containing text (for example: &lt;http://www.mozilla.com/firefox/&gt;).
3. Open a new blank tab (to the right of the tab-containing-text).
4. Focus the tab-containing-text.

5. Select some text.
6. Right-click and select 'Search &lt;selected engine&gt; for &lt;selected text&gt;'.

7. Focus the tab spawned in the step 6.
8. Close this (current) tab.

I'm now automatically switched back to the tab created in step 2 (the tab containing text).  However, if one substitutes step 6 with

    6 (new): Middle-click a link on the page.

then the tab created in step 3 (the blank tab) is the one that's automatically focused after following step 8.

Reproducible in Bon Echo and Minefield 14th July builds.

Reproducible: Always</Description></bugID>